$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-ff550b5c3cd819bd1938c66835c0dc4fb0adf5cd/rpcs3-v0.0.12-11100-ff550b5c_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '67571fb5d15c8fd0e867da50d83923147e9dad1941ea5e64c83848a3824cb4cf'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
